// ISEKAI- the title says all.


// INOTES: GENERAL NOTES


/* AMANDA'S SYNONIMS/UNIMPLEMENTED LIST:
 * VERBS & GENERAL: 
 * CLEAN/WIPE ME, BATHE and WASH, SWIM, DIVE  
 * (should point that the pool is too small for swimming; anyway, there will  
 * be a sizeable pond in the outside..); SAY (pointing to ask/tell/show)
 * 1ST FLOOR: DONE !
 * 2ND FLOOR: DONE !
*/

/*

 GENERAL
 the isekai genre offers the ideal implementation of "knowledge/lore as 
 treasure" hunt game, here the PC apparently got an isekai reincarnation, not 
 only into a different world, having a substantial diversity of races, 
 culture &  society, and even "tech" (there is valid the reciprocal of  
 Clarke's 3rd principle..), but also different attitude on love and sex 
 genres.. and so (s)he must learn the knowledge & lore of a different world, 
 culture, race.. and gender!
 
 (13 Ago 2022) interesting suggestion from the Forum:

----- 
You could temporarily trap the player in a cutscene location and have them 
walk down a long corridor while they ruminate on their situation doling out 
text each time they move. 
If the player just battled a dragon, maybe it knocked all their inventory out 
of their hands and they need to pick everything up, which gives you natural 
pauses for the player to relate bits of inner-monologue upon retrieving each 
item.
If the player is remembering a conversation, you could do an interactive 
flashback and let the conversation play out with scenery and room detail the 
player can decide to interact with.
-----

Isn't a suggestion specific to this work, but ruminating on the situation IS 
consistent to the prologue; no evil dragons in the game, but the concept of 
inner monologue during certain action is sound.
The idea of interactive flashback is interesting, esp. in relation to the 
"same soul, thousands of reincarnations apart" base of the "isekai"

 KNOWLEDGE & LORE (the "treasures" of our hunt)
 The society is roughly late modern era as direct technology, but somewhat 
 above "middle magic" as reciprocal technology; the society is much more 
 advanced that XXIth century, as the same-sex mixed-race family of three 
 spouses (see below) points; Also, the culture reflect the existence of 
 magick, seen as a complement of technology, both contribuing to progress 
 and well-living.
 There's not much "monster" as in fantasy; let's say that, for example, some 
 beasts has innate magic, but not much dangerous than, say, a rampaging bull 
 so, that there's a sound and solid safety from feral beasts.
 On safety from sentient beasts, War is a very limited thing because, well, 
 the most peaceful and enlighted race happens to be that of the... Dragons, 
 whose obvious prowess in peace-enforcing capabilities is second only to 
 their excellence and aptitude in diplomacy and mediation; in other terms, 
 Dragons are the epitome of the Rooseveltian "speak slowly". 
 I'm sure that I will reference that the most wizened, eloquent and ablest 
 diplomat of the Dragons is/was known for his beloved treasure, an huge 
 collection of.. Teddy bears! (Teddy bear/Teddy Roosevelt..)
 The crime and law enforcement is roughly at 20th century level, the 
 reciprocal technology more than counterbalancing the 18th century technology.
 Education and research is 20thC in the "reciprocal tech" fields, and 18thC 
 in tech fields, with in-betweens where the two fields mix 
 (ex. leyden jars and lightning bolt-type magic together gives a late 
 18thC/early 19thC state  of electrics) 
 Incidentally, the three spouses, living together, being mages, first meets 
 during their academic years. 
 On the permanent lactation, the females are not only life-givers but also 
 life-sustainers, a thing whose, IMO, naturally lead to much less sciovinism 
 on that world, among other things.

 THE PLOT & NARRATIVE
 The rather advanced (my POV) and definitvely diverse society (multiracial 
 and multigender) together the "cross-gender" isekai need a set of delicate 
 balances and gradual transitions;
 There's a prologue of sort, in where the wonder and astonishment of being in 
 a very different body, female and elfin, allows, during the early game,
 a little, carefully dosed, burlesque alongside the lines "what evil will do 
 a male possessing a female body" isn't bad, allowing some in-joke and satire 
 on US pruderie.
 
 Advancing toward the mid-game, in where the two spouses, alarmed by losing 
 their emphatic link with Etuye, arrives, first Azuj then Miyai, the 
 "treasure hunting", the discovery of knowledge and lore about this new 
 world, with its diversity, differences and peculiarities gradually prevail 
 on the "discovery of herself", and thru this and the help and love of the 
 two spouses, led to the diagnosis and understanding of what is actually 
 happened (a literal culture shock of sort, ignited by the sudden recovery of 
 past memories of a past life in a different era and world, that is, XXIth C 
 Earth)
 
 The end game will be about recovering from the shock and settling a 
 balance between past and current memories (this allows exploring an 
 interesting narrative idea, "reverse isekai.."), with the loving help of the 
 other two spouses.
 
 ??? There will be a postgame ??? ex. a sort of "episodes atuy/miyai" ???

 THE MAP
 The "strange" house is actually her abode, whose is shared with her two 
 spouses; the central structure being the actual house, the northern wing 
 being workshops and storage and, about the southern tower, its higher 
 ceiling and the 3rd/4th floor is needed because the angelic (and winged) 
 member of the family has some "take-off issues" (think of a mild version of 
 SO4 Sarah's issues) and needs a high enough jumping spot, and on  the other 
 side, the tower's two lower floors are conveniently on the three sunny sides 
 (so, the 1st  floor is a drawing room and the 2nd a reading/writing  room).
 Outside, a garden is all around the house, locs reachable thru a path 
 turning around the house, Zork-style, and, behind the house, goes thru a 
 grove to a pond, the summer trysting place of the young triangle; Westward 
 from the front of the house, the path eventually cantgo to the world outside 
 the story; Perhaps somewhere in the garden behind the house should be an 
 outhouse, but surely there will be at least a wooden shack..
 Living together with two winged soulmates, the PC habitually constantly 
 renew a levitation spell, whose is obviously unknown to her past live of a
 wingless human male lived on magic-devoid Earth hundreds of thousands years 
 ago, hence not renewed at the start of the game (Tho' I don't think that 
 this will became the cause of the initial lying-on-the-floor state outside 
 the house; more probably the "isekai" happened in the magic lab, in the 
 northern extension.)

 CODING
 I think that the most elaborate part, aside the two NPCs, (see below) is the 
 unusual adaptive prose required by the gradual learning and understanding of 
 the new world; the rooms and object's description constantly changing in the 
 light of the learned knowledge & lore.

 IDEAS
 the clothing, alongside the furniture, unusual architecture (see above) can, 
 and will, be functional to the differences between the two worlds, separated 
 by hundreds of thousands of years, both chronological and light, and between 
 the earthlings and the isekai world beings, even in funny/burlesque/weird 
 ways, for example:
 Poking fun on The Classic of scholastic debating !!! with the addition of
 angelic/demonic marriage (plus an elf..).. poor St. Thomas...
 The angelic and daemonic spouses, allowing interesting, to say the 
 least, jabs and satire on manicheism, alongside on pruderie, how to imp ?
 How to implement eventual "reverse isekai" flashbacks ? (like the past worlds
 of HS drifter ?)
 
 THE PC 
 (name: Etuye Alasne; meaning "Plenty (Etuye) Spring (season) (Alasne)")
 she is an elf, and of course there's physiological and physical differences, 
 e.g. hair colour, pointy ears, and being versed in the field of 
 "reciprocal tech" (aka Magick); and in that rather open-minded society
 her family is composed of her and her two lesbian spouses, one of angelic 
 race, complete of wings, and other of demonic race (sorry, St.Thomas..), 
 also winged.

 she meet her future love-souls during the academic years, and their bond 
 evolved into a really strong and solid equilateral triangle, and after 
 graduating, their bond end finalised with their marriage.

 The nature of the "isekai" incident is that she suddenly, through a rater 
 massive flashback, Etuye remembered her previous life on Earth, and she got 
 comprensibly very confused between her current memories and the past one 
 when she lived, as an human male on the magick-devoid earth hundreds of 
 thousands of years ago. 
 (One can even define this as a two-way isekai of sort)
 
 The PC's soul, after many hundreds of millennia of reincarnations, became 
 our female elf PC, a magick researcher, one of her research being the 
 exploration of her soul's past memories, so basically the isekai incident 
 actually is also an incident of magick gone awry, raising the curtain on 
 this IF story, one of recovering Etuye's memory and sorting out between her  
 current and prior memories, with the help of her two spouses.

 NOTE: the PC being elfin, the "understanding a new body and physiology" 
 will be much more about discovery and wonder than burlesque, perhaps is not 
 only good for the tone, but also for the sense of wonder.
 she's still not fertile, being a  long-living (1500-2000 years) Elf, 
 allowing a sound implicit bashing on certain  hypocrisies about underage 
 depiction, having here an unquestionably adult  woman, even  mature by human 
 standard, but a "child" by physiological criteria (one of the trait of 
 adulthood being, well, the Fertility, at  least IMVHO).
 Exact registry & vital data TBD, but let's say that she has a very abundant 
 1500-1700 Reileian years of life ahead, not much in the eyes  of the 12,886 
 Reileian years old  principal, a Great Wyrm, that  is, a Dragon.
 [minor lore point, having outlived at least no less than five generations of 
 the longevest species on Railei, perhaps (s)he known by  direct knowledge  
 the exactness of Etuye's  research, agreeing in celebrating/ritualising the 
 Soulmating of our trio, as the "Right Thing" to do to these three eternal 
 souls ?]
 Anyway, the most fun possible with this alien registry & vital is: married 
 at 42 or 47, currently has 69 years and she will became fertile "around 32  
 years in future" (that is, around 101...) putting together the legendary 
 69,101 and the Adams (or Roddenberry) Number... delivering a sound bashing 
 on these underage hypocrisies.

 NPCs
 
 The names of the two NPC:
 Miryarai, the angelic one's name, means "Beautiful (mir) Princess (yarai); 
 note that Miya in Japanese means "Princess", and "Sarai" mean "Princess"; a 
 sort of portmanteau.. (nick: Miyai)
 The name of the other spouse, the demonic one, means "Fiery Resolve", 
 That is, Atuzejiki, Jiki meaning "Fiery" and Atuze "Resolve" (nick: Azuj)
 
 I'm not sure how I will implement the two obvious NPCs.
 TADS3's forte is indeed the NPC handling, but the NPCs will be 
 present later, from roughly the middle game, after a substantial solo 
 exploration of the mansion, and they will be instrumental in discovering, 
 diagnosing and ultimately solving the endgame objective; that is, from their 
 perspective, helping their beloved spouse to recover from the unusual 
 "culture shock". 
 Note that all three are academics (in magic..), and their resourcefulness 
 and determination (not by chance one is named "Fiery Resolve..") is 
 strenghtened with their reciprocal love for each other.
 
 a little peculiarity of Atuzejiki is her little quirk of childishly calling 
 "lefty", "righty" and "taily" her wings and tail.
 

 Arrival of NPC: 
 Azuj being not only nearer, but also impulsive, chaotically and 
 fiercely inclined toward "cutting corners" used a pair of the not illegal 
 but frowned-up teleport spell between waypoints where no one can protest in 
 her flying toward her spouse-in-distress, so she arrives first, and until 
 the subsequent arrival of Miyai during the mid-late middle-game she's the 
 single follower NPC.
 
 Miyai being farther, doing academic work at the treble's alma mater, being 
 not only calm and phlegmatic, but also lawful, quickly put his work in an 
 ordered stand-by and after duly informing her fellows that she has a very 
 serious family issue, fly home fast but without cutting corners, arriving 
 after Azuj, during the middle game, completing the trio.

 */
